
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>再学GDI+[30]: TGPPen / iVAN</title>

    <meta name="description" content="再学GDI+[30]: TGPPen 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type TForm1 = class(TForm) RadioGroup1: TRadioGroup; procedure FormCreate(Sender: TObject); procedure FormP">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">再学GDI+[30]: TGPPen</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本例效果图:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFE2NDMzMDMzLTAuZ2lm.jpg"></p>
<p>代码文件:<code>unit Unit1;<br />
interface<br />
uses<br />
　Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,<br />
　Dialogs, StdCtrls, ExtCtrls;<br />
type<br />
　TForm1 = class(TForm)<br />
　　RadioGroup1: TRadioGroup;<br />
　　procedure FormCreate(Sender: TObject);<br />
　　procedure FormPaint(Sender: TObject);<br />
　　procedure RadioGroup1Click(Sender: TObject);<br />
　end;<br />
var<br />
　Form1: TForm1;<br />
implementation<br />
{$R *.dfm}<br />
uses GDIPOBJ,GDIPAPI;<br />
procedure TForm1.FormCreate(Sender: TObject);<br />
begin<br />
　RadioGroup1.Caption := '制作画笔的画刷';<br />
　RadioGroup1.Items.CommaText := '实心画刷,阴影画刷,纹理画刷,渐变画刷';<br />
　RadioGroup1.ItemIndex := 0;<br />
end;<br />
procedure TForm1.FormPaint(Sender: TObject);<br />
var<br />
　g: TGPGraphics;<br />
　p: TGPPen;<br />
　img: TGPImage;<br />
　b: TGPBrush;<br />
begin<br />
　g := TGPGraphics.Create(Canvas.Handle);<br />
　img := TGPImage.Create('c:\temp\small.jpg'); {文件要存在}<br />
　case RadioGroup1.ItemIndex of<br />
　　0: b := TGPSolidBrush.Create(aclRed);<br />
　　1: b := TGPHatchBrush.Create(HatchStyleSolidDiamond, aclYellow, aclCornflowerBlue);<br />
　　2: b := TGPTextureBrush.Create(img);<br />
　　3: b := TGPLinearGradientBrush.Create(<br />
　　　　 MakePoint(0,0),<br />
　　　　 MakePoint(ClientWidth - RadioGroup1.Width, ClientHeight),<br />
　　　　 aclYellow,<br />
　　　　 aclRed<br />
　　　 );<br />
　end;<br />
　p := TGPPen.Create(b, 24);<br />
　g.DrawEllipse(p, 30, 30, ClientWidth-RadioGroup1.Width-60, ClientHeight-60);<br />
　g.DrawLine(p, 0, 0, ClientWidth-RadioGroup1.Width, ClientHeight);<br />
　img.Free;<br />
　b.Free;<br />
　p.Free;<br />
　g.Free;<br />
end;<br />
procedure TForm1.RadioGroup1Click(Sender: TObject);<br />
begin<br />
　Repaint;<br />
end;<br />
end.</code></p>
<p>窗体文件:<code>object Form1: TForm1<br />
　Left = 0<br />
　Top = 0<br />
　Caption = 'Form1'<br />
　ClientHeight = 206<br />
　ClientWidth = 339<br />
　Color = clBtnFace<br />
　Font.Charset = DEFAULT_CHARSET<br />
　Font.Color = clWindowText<br />
　Font.Height = -11<br />
　Font.Name = 'Tahoma'<br />
　Font.Style = []<br />
　OldCreateOrder = False<br />
　Position = poDesktopCenter<br />
　OnCreate = FormCreate<br />
　OnPaint = FormPaint<br />
　PixelsPerInch = 96<br />
　TextHeight = 13<br />
　object RadioGroup1: TRadioGroup<br />
　　Left = 248<br />
　　Top = 0<br />
　　Width = 91<br />
　　Height = 206<br />
　　Align = alRight<br />
　　Caption = 'RadioGroup1'<br />
　　TabOrder = 0<br />
　　OnClick = RadioGroup1Click<br />
　end<br />
end</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 04:11:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/end/" title="end">end</a>, <a href="https://www.iamivan.net/tag/sender/" title="sender">sender</a>, <a href="https://www.iamivan.net/tag/procedure/" title="procedure">procedure</a>, <a href="https://www.iamivan.net/tag/radiogroup/" title="RadioGroup">RadioGroup</a>, <a href="https://www.iamivan.net/tag/clientheight/" title="clientHeight">clientHeight</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>再学GDI+[30]: TGPPen的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkdldz.html" rel="bookmark">再学GDI&plus;&lbrack;34&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ComCtrls; type TForm1 = class(TForm) TrackBar1: TTrackBar; TrackBar2: TTrackBar; procedure FormCreate(Sender: TObject			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYP3rb.html" rel="bookmark">再学GDI&plus;&lbrack;33&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				几何变换也就是 Matrix 变换, 画笔的 Matrix 会忽略 dx.dy 平移参数; 选择 LineCapRound 线帽效果比较好. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, ComCtrls, StdCtrls, ExtCtrls; type TForm1 = class(TForm)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKVv7z.html" rel="bookmark">再学GDI&plus;&lbrack;32&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				拐角长度的限制的默认值是 10.0, 一般足够用了. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ComCtrls; type TForm1 = class(TForm) TrackBar1: TTrackBar; procedure FormPaint(Sender: TOb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pL6nab.html" rel="bookmark">再学GDI&plus;&lbrack;31&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) ListBox1: TListBox; procedure FormCreate(Sender: TObject); procedure FormPaint(Sender: TOb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmveBz.html" rel="bookmark">再学GDI&plus;&lbrack;28&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义的虚线样式依赖与一个数组, 数组的元素分别代表虚线中线与间的长度, 数组大小好 像没有限制; 本例使用了六个元素的数组, 也就是表示虚线有三个线段和和三个间隔构成. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls; type TForm1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0e9Ap.html" rel="bookmark">再学GDI&plus;&lbrack;36&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type TForm1 = class(TForm) ComboBox1: TComboBox; ComboBox2: TComboBox; ComboBox3: TComboBox; ComboBox4: TCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2jBob.html" rel="bookmark">再学GDI&plus;&lbrack;35&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls; type TForm1 = class(TForm) Timer1: TTimer; procedure FormPaint(Sender: TObject); procedure Timer1Timer(Sender: TObjec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMA51AM.html" rel="bookmark">再学GDI&plus;&lbrack;29&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type TForm1 = class(TForm) LabeledEdit1: TLabeledEdit; RadioGroup1: TRadioGroup; procedure FormCreate(Sende			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpdw5mM.html" rel="bookmark">再学GDI&plus;&lbrack;27&rsqb;&colon; TGPPen</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type TForm1 = class(TForm) ComboBox1: TComboBox; procedure FormCreate(Sender: TObject); procedure FormPaint			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg0wZp.html" rel="bookmark" class="title">网页标题闪烁特效&lpar;Jquery和Javascript&rpar;</a>
					<div>
						文章简介:网页标题闪烁Jquery版本与Javascript版本. 霸气宣言:网页标题闪烁 作品类型:动态效果(动态JS.jQuery作品) 作品描述:网页标题闪烁Jquery版本与Javascrip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrkxvp.html" rel="bookmark" class="title">Photoshop教程&colon;使美女的私房照片更加迷人</a>
					<div>
						本教程主要为大家介绍使用photoshop的滤镜特效,把MM的私房照片制作得更性感,更迷人. 本教程主要为大家介绍使用photoshop的滤镜特效,把MM的私房照片制作得更性感,更迷人. 效果图 素材 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy32Gb.html" rel="bookmark" class="title">诊断Java代码&colon; 臆想实现错误模式，第2部分</a>
					<div>
						臆想实现重温 回想一下 上次接口的 臆想实现是一个合法的实现,但不满足接口规范的某些未经检查的方面.我们考虑一下下面的堆栈接口,以及许多未被其单独的类型签名捕获的不变量: 清单 1. 一个堆栈接 pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7BaLb.html" rel="bookmark" class="title">tplink路由器信号强度怎么设置</a>
					<div>
						  tplink路由器信号强度设置方法 本文介绍云路由器的信号调节设置方法. 登录路由器管理界面,点击 应用管理,进入应用中心,如下图: 找到信号调节,点击 进入,如下: 请结合您的环境调整信号强度( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z722ydp.html" rel="bookmark" class="title">PS制作玻璃后模糊的人像</a>
					<div>
						效果图: 原图 好了,现在开始制作: 具体的制作步骤如下: 1.打开原图,把背景图层复制一层,按Ctrl + U 调整色相/饱和度(0,0,35). 2.执行:滤镜 &gt; 模糊 &gt; 高斯模糊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7DKb.html" rel="bookmark" class="title">PS简单7步绘制精致的蓝白渐变同步按钮</a>
					<div>
						  效果图: 第二步: 在画布上新建一个正圆,填充白色,然后把圆整成这个样子.[加斜面和浮雕.加内阴影.加渐变] 编者注:以下步骤全是先提供效果图让同学们自己动手,做不出可以看后面的参数值,有对比才有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1Oadb.html" rel="bookmark" class="title">JS 实现列表与多选框选择附预览动画</a>
					<div>
						 1功能预览 列表与多选框选择附预览动画-下拉列表实现多选&quot;&gt; 2html代码 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EnE5M.html" rel="bookmark" class="title">dell戴尔笔记本电脑怎么加内存条？</a>
					<div>
						  1.买一块2Gb的内存条(买1GB的不划算),准备一个螺丝刀,还有我们的笔记本,如下图所示 2.电脑关机后,我们把电池卸掉,然后用螺丝刀打开插内存的盖子,具体如下图所示 3.在插内存的时候要注意, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwEJKp.html" rel="bookmark" class="title">关于微信开发中微信连wifi功能的商家主页不能跳转问题</a>
					<div>
						问题描述 关于微信开发中微信连wifi功能的商家主页不能跳转问题 以前一直做着的客户一直都没什么问题.近期新开的两个客户,微信配置跟老客户一样但是到微信连wifi最后一步,点击完成时居然跳转至默认页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN7vWM.html" rel="bookmark" class="title">Windows API 函数列表 附帮助手册</a>
					<div>
						原文:Windows API 函数列表 附帮助手册 所有Windows API函数列表,为了方便查询,也为了大家查找,所以整理一下贡献出来了.   帮助手册:700多个Windows API的函数手册 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baml3gb.html" rel="bookmark" class="title">oracle 切出的归档日志小于设置的redo大小</a>
					<div>
						数据库产生大量的小日志,原因和log_buffer的大小和redo log file size有关.为了说明这个问题,我们先来看看从log buffer开始写redo log file的过程: (1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwVvEp.html" rel="bookmark" class="title">关于基于Event Sourcing模式实现的领域模型如何处理模型重构的问题的思考</a>
					<div>
						基于DDD+Event Sourcing设计的模型如何处理模型重构? 问题背景:ddd的核心是聚合,一个聚合内包含一些实体,其中一个是根实体,这个大家都有共识:另外,如果将DDD与Event Sour ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqAaqb.html" rel="bookmark" class="title">急啊，BackgroundWorker 控件和切换输入法造成程序死机的问题</a>
					<div>
						问题描述 如题,我在winform程序中使用BackgroundWorker控件来处理界面数据,以防止程序出现未响应的状态,并且根据需求,在程序运行的过程中需要一直使用到BackgroundWorke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7W7Kz.html" rel="bookmark" class="title">求rational rose安装，最好版本较新，可以下载就给分！</a>
					<div>
						问题描述 求rationalrose安装,最好版本较新,可以下载就给分!先谢过了! 解决方案 解决方案二:rationalrose2003下载安装及破解[转自mircle]2006-10-2822:3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl1RXp.html" rel="bookmark" class="title">&lbrack;android&rsqb; 百度地图开发 &lpar;二&rpar;&period;定位城市位置和城市POI搜索</a>
					<div>
						一. 百度地图城市定位和POI搜索知识       上一篇文章&quot;百度地图开发(一)&quot;中讲述了如何申请百度APIKey及解决显示空白网格的问题.该篇文章主要讲述如何定位城市位置.定位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXX86z.html" rel="bookmark" class="title">解决办法：Flex4使用Efflex&lowbar;v0&period;03&period;swc &lpar;Fx4&sol;FP10&rpar;，在该命名空间中多次定义了组件 MotionPath&hellip;&hellip;</a>
					<div>
						原文:http://hi.baidu.com/mhl29/item/626ea382bec5d1cdee083de1 问题:     在该命名空间中多次定义了组件 SimpleMotionPath.删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlw8rp.html" rel="bookmark" class="title">visual studio-VS2013调试过程中断电后异常0x5396E06C</a>
					<div>
						问题描述 VS2013调试过程中断电后异常0x5396E06C 在调试过程中突然断电,然后来电后再进工程起动调试出现如下的异常,在网上也没有查到相关的处理方法,望哪位帮我参考解决一下,谢谢! 0x53 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1NY4z.html" rel="bookmark" class="title">周末了，博大家一笑！！</a>
					<div>
						问题描述 总局的领导们,球迷朋友们,你们好! 我想应聘中国男子国家足球队主教练一职,我有100分的信心,带领中国队在2010年的时候,把大力神杯捧回中国.根据中国足球的现状,我为中国足球队设计了一整套 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBggYNM.html" rel="bookmark" class="title">mfc对话框-MFC中向导对话框中单选按钮的问题</a>
					<div>
						问题描述 MFC中向导对话框中单选按钮的问题 我给单选按钮RADIO1建立类向导之后,BN_CLICKED函数里面应该怎么定义才能使单选按钮选择之后再次选择之后还是可以选择的,我现在的是点了单选按钮就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0gRQp.html" rel="bookmark" class="title">parser generator-Parser Generator编译lex</a>
					<div>
						问题描述 Parser Generator编译lex project下面libbuilder编译时候说Command line error D2022 : cannot open 'C:Program ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB477z.html" rel="bookmark" class="title">printf-有关memmove的函数，求大神帮忙</a>
					<div>
						问题描述 有关memmove的函数,求大神帮忙 #include #include int main(void) { char s[]=&quot;Golden Global View&quot;;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgqP8M.html" rel="bookmark" class="title">阿里聚安全企业沙龙全国行广州站，期待你的报名！</a>
					<div>
						 2016年08月22日 16:22  2451 阿里聚安全企业沙龙全国行广州站,期待你的报名! 阿里聚安全是阿里巴巴集团整合自身安全能力对外输出的安全开放平台,依托国际领先的风险扫描引擎.立体式安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QV6Wp.html" rel="bookmark" class="title">oracle数据库学习入门篇</a>
					<div>
						oracle创建表空间及用户 oracle的学习对于像我这样的新手,还是要一步一步来,先把基本概念搞清楚. 我觉得oracle学习可以分为几个部分: 系统基本使用 系统调优 sql语句编写 sql调优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV79EYb.html" rel="bookmark" class="title">Java打乱ArrayList生成一个随机序列列表&lowbar;java</a>
					<div>
						前言 在做试卷的时候,需要将一个句子中的单词.一个单词中的字符.选择题中的答题项打乱生成一个随机的序列,下面我将其抽象成工具类,方便大家以后复用. 示例代码 public static &lt;V&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVa47z.html" rel="bookmark" class="title">JBuilder 9如何破解？</a>
					<div>
						问题描述 点击下一步使用注册机生成的序列号和注册吗都不可以使用,帮帮我吧! 解决方案 本帖最后由 zqft123 于 2011-04-18 06:37:15 编辑解决方案二:发信人:flybird.b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBoRAb.html" rel="bookmark" class="title">Shell脚本：使用rsync备份文件&sol;目录</a>
					<div>
						本文我们介绍一个shell脚本,用来使用rsync命令将你本地Linux机器上的文件/目录备份到远程Linux服务器上.使用该脚本会以交互的方式实施备份,你需要提供远程备份服务器的主机名/ip地址和文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPvVmp.html" rel="bookmark" class="title">广电总局：中国广播影视数字化取得七方面成就</a>
					<div>
						中新网9月15日电国家广电总局新闻发言人朱虹日前在接受采访时表示,中国目前的广播影视数字化方面取得了长足的进步,主要表现在以下七个方面. 一是电台电视台数字化程度普遍提高.广播电视的数字化由节目制作和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy3v4z.html" rel="bookmark" class="title">聚讯社区管理软件JuSNS 3&period;0&period;0版发布</a>
					<div>
						JuSNS是一个基于.NET2.0/3.5+MS SQL server 2000/2005的一款平台型社交网络软件.她灵活多变,开发者(包括用户)可以基于JuSNS平台开发自己的社交关系.JuSNS对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjAyWM.html" rel="bookmark" class="title">如何进行网站流量交换</a>
					<div>
						话说普通的友情连接基本一天来不了几个IP.我的方法也不算什么特别好或者难以想到的,但是很实用...也是某天有个搞笑网找到我谈起合作,才发现这个方法蛮不错.方法很简单,双方根据对方站的主题(最好是两个互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOWBlM.html" rel="bookmark" class="title">关于ASP连接到SQL的问题&excl;急</a>
					<div>
						问题描述 关于ASP连接到SQL的问题!急我用ASPNET_REGSQL.EXE然后出现以下问题etupfailed.Exception:UnabletoconnecttoSQLServerdatab ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
